---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libclassprep01.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x6B0, symBinAddr: 0xEE0, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x1FF80, symBinAddr: 0x40B0, symSize: 0x0 }
  - { offsetInCU: 0xE0, offset: 0xE0, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x200C0, symBinAddr: 0x41E0, symSize: 0x0 }
  - { offsetInCU: 0xF9, offset: 0xF9, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x200C8, symBinAddr: 0x41E8, symSize: 0x0 }
  - { offsetInCU: 0x12B, offset: 0x12B, size: 0x8, addend: 0x0, symName: __ZL7classes, symObjAddr: 0x200D0, symBinAddr: 0x41F0, symSize: 0x0 }
  - { offsetInCU: 0x1A0, offset: 0x1A0, size: 0x8, addend: 0x0, symName: __ZL15virtual_classes, symObjAddr: 0x3010, symBinAddr: 0x4050, symSize: 0x0 }
  - { offsetInCU: 0x1C5, offset: 0x1C5, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x200D8, symBinAddr: 0x41F8, symSize: 0x0 }
  - { offsetInCU: 0x8E02, offset: 0x8E02, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x200E0, symBinAddr: 0x4200, symSize: 0x0 }
  - { offsetInCU: 0x8E1B, offset: 0x8E1B, size: 0x8, addend: 0x0, symName: __ZL14eventsExpected, symObjAddr: 0x20218, symBinAddr: 0x4338, symSize: 0x0 }
  - { offsetInCU: 0x8E3B, offset: 0x8E3B, size: 0x8, addend: 0x0, symName: __ZL14kernel_classes, symObjAddr: 0x3040, symBinAddr: 0x4080, symSize: 0x0 }
  - { offsetInCU: 0x8EA0, offset: 0x8EA0, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x1200, symSize: 0x30 }
  - { offsetInCU: 0x912A, offset: 0x912A, size: 0x8, addend: 0x0, symName: __Z17print_thread_infoP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x550, symBinAddr: 0xD80, symSize: 0x160 }
  - { offsetInCU: 0x93B7, offset: 0x93B7, size: 0x8, addend: 0x0, symName: _printStatus, symObjAddr: 0xE10, symBinAddr: 0x1230, symSize: 0x130 }
  - { offsetInCU: 0x9633, offset: 0x9633, size: 0x8, addend: 0x0, symName: _ClassPrepare, symObjAddr: 0xFB0, symBinAddr: 0x1360, symSize: 0x960 }
  - { offsetInCU: 0x9E5C, offset: 0x9E5C, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x1910, symBinAddr: 0x1CC0, symSize: 0x120 }
  - { offsetInCU: 0x9FF2, offset: 0x9FF2, size: 0x8, addend: 0x0, symName: _Java_classprep01_getReady, symObjAddr: 0x1A30, symBinAddr: 0x1DE0, symSize: 0x100 }
  - { offsetInCU: 0xA113, offset: 0xA113, size: 0x8, addend: 0x0, symName: _Java_classprep01_check, symObjAddr: 0x1B30, symBinAddr: 0x1EE0, symSize: 0x100 }
  - { offsetInCU: 0xA216, offset: 0xA216, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1C30, symBinAddr: 0x1FE0, symSize: 0x10 }
  - { offsetInCU: 0xA270, offset: 0xA270, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1C40, symBinAddr: 0x1FF0, symSize: 0xA }
...
